package jtznyj.engineer.service.dataDiagnosticService.data;

/**
 * 条件分析类别  1门限 2振幅 4趋势辨别 8波动
 */
public enum AnalyseType {

    AT_NULL(0),
    /**
     * 门限分析
     */
    AT_MinMax(1),

    /**
     * 振幅
     */
    AT_Range(2),
    /**
     * 未知
     */
    UNKnown(3), // 2021 for fix reason

    /**
     * 趋势
     */
    AT_Trend(4),
    /**
     * 波动
     */
    AT_BdRange(8);


    private int index;

    private AnalyseType(int index) {
        this.index = index;
    }

    public static AnalyseType valueOf(int index){
        switch (index){
            case 0:
                return AT_NULL;
            case 1:
                return AT_MinMax;
            case 2:
                return AT_Range;
            case 3:
                return UNKnown;
            case 4:
                return AT_Trend;
            case 8:
                return AT_BdRange;
            default:
                return null;
        }
    }
}
